Basilisk II for PSP Updated

DSC02448

ChaosKnight has updated his Basilisk II port for the PSP. Basilisk II is a 68k Macintosh open-source emulator. This will run Macintosh systems v7.5.5 through 7.6.1 the easiest (and quite fast at that), and is very easy to install. In this new version, he has added: “

– A new binary set (for unzipping on your memory stick!) which will load up any HFV or DSK file that is sitting around. No more required startup.dsk… although you can keep it and it will still work.

– The analog pad moves 2px at a time, which is too much for hitting small controls sometimes, so I made the DPad do 1px. Much easier.

You will still need your own legal copy of mac.rom which must be placed in the BasiliskIIPSP directory.

You can get it in our PSP Download section [here].

Currently, this emulator will only run on PSPs with firmware version 1.0 or 1.50. If you do not know which firmware version your PSP has, or if you need help installing this application/game on your PSP, check one of our many informative FAQs. If you have a higher firmware version than 1.50 on your PSP, you cannot run this program. To downgrade the firmware from a version higher than 1.50, please visit [here]. DSC02448

ChaosKnight has updated his Basilisk II port for the PSP. Basilisk II is a 68k Macintosh open-source emulator. This will run Macintosh systems v7.5.5 through 7.6.1 the easiest (and quite fast at that), and is very easy to install. In this new version, he has added: “

– A new binary set (for unzipping on your memory stick!) which will load up any HFV or DSK file that is sitting around. No more required startup.dsk… although you can keep it and it will still work.

– The analog pad moves 2px at a time, which is too much for hitting small controls sometimes, so I made the DPad do 1px. Much easier.

You will still need your own legal copy of mac.rom which must be placed in the BasiliskIIPSP directory.

You can get it in our PSP Download section [here].

Currently, this emulator will only run on PSPs with firmware version 1.0 or 1.50. If you do not know which firmware version your PSP has, or if you need help installing this application/game on your PSP, check one of our many informative FAQs. If you have a higher firmware version than 1.50 on your PSP, you cannot run this program. To downgrade the firmware from a version higher than 1.50, please visit [here].

Add a Comment

Your email address will not be published.